> For the complete documentation index, see [llms.txt](https://docs.blynk.io/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blynk.io/en/blynk.cloud/device-https-api/get-device-metafield-value-1.md).

# Update Device Metadata Value

You can update the value of any single-value (text, number, hotspot, device name, list, int, imei, iccid) device meta field using its identifier.

<mark style="color:blue;">`GET`</mark> `https://{server_address}/external/api/device/meta/update?token={token}&metaFieldId={metaFieldId}&value={metaFieldValue}`

or by metafield name (**param and value are case sensitive, should be properly encoded**):

<mark style="color:blue;">`GET`</mark> `https://{server_address}/external/api/device/meta/update?token={token}&metaFieldName={metaFieldId}&value={metaFieldValue}`

###

### Example

`https://fra1.blynk.cloud/external/api/device/meta/update?token=EzHOlVG4dOdkPozcZutxK0AlkrsJAVff&metaFieldId=3&value=Sample+value`

`https://fra1.blynk.cloud/external/api/device/meta/update?token=EzHOlVG4dOdkPozcZutxK0AlkrsJAVff&metaFieldName=Meta%20Name&value=Sample%20value`

### Response

#### **Success**

**200 OK**

#### **Invalid token error**

**400 Bad Requets**

```
{"error":{"message":"Invalid token."}}
```

#### **Wrong metafield identifier format**

**400 Bad Requets**

```
{"error":{"message":"Wrong metaField format"}}
```

#### **Metafield is not found**

**400 Bad Requets**

```
{"error":{"message":"MetaField doesn't exist"}}
```

#### **Wrong metafield value**

**400 Bad Requets**

```
{"error":{"message":"Wrong value"}}
```

{% hint style="info" %}
You can get the **Device auth token** in [Device info](https://bit.ly/BlynkSimpleAuth).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blynk.io/en/blynk.cloud/device-https-api/get-device-metafield-value-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
